package com.nmgs.service.impl;

import com.nmgs.mapper.Mapper;
import com.nmgs.util.LogUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IntegralAppServiceImpl {
    @Autowired
    public Mapper mapperI;

    public String sql="SELECT iau.ID,iau.CONTENT,iau.VERSION,iau.DOWNPATH FROM INTEGRAL_APP_UPDATE  iau" ;

    public List getIntegraAppList(){
        List json =null;
        try{
            String sqlTemp=sql;
            json= this.mapperI.selectforlist(sqlTemp);
        }catch (Exception e){
            LogUtil.WriteLog_Error("APP更新数据查询失败====>"+e.getMessage(),"IntegralAppServiceImpl");
            return json=null;
        }
        return json;
    }
}
